This bundle will export packages from OpenSAML J library.

Tagssecuritysaml
HomePage http://wso2.org
DateOct 08, 2020
Filesbundle (4.2 MB)  View All
RepositoriesCentral
Ranking#4112 in MvnRepository (See Top Artifacts)
Used By92 artifacts
VulnerabilitiesVulnerabilities from dependencies:
CVE-2022-24891
CVE-2022-23457
CVE-2020-7226

Note: There is a new version for this artifact

New Version3.3.1.wso2v7


Compile Dependencies (23)

Category/License Group / ArtifactVersionUpdates
Base64
Apache 2.0
commons-codec » commons-codec 1.101.15

Apache 2.0
net.shibboleth.utilities » java-support (optional) 7.3.08.0.0

Apache 2.0
org.opensaml » opensaml-core (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-saml-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-soap-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-soap-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-profile-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-profile-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-saml-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-messaging-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-messaging-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-security-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-security-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-storage-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-storage-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-xacml-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-xacml-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-xacml-saml-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-xacml-saml-impl (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-xmlsec-api (optional) 3.3.14.0.1

Apache 2.0
org.opensaml » opensaml-xmlsec-impl (optional) 3.3.14.0.1

BSDCC-BY-SA 3.0
org.owasp.esapi » esapi (optional) 2 vulnerabilities 2.1.0.12.5.1.0

org.wso2.orbit.joda-time » joda-time 2.9.4.wso2v1

Runtime Dependencies (1)

Category/License Group / ArtifactVersionUpdates

Apache 2.0LGPL 3.0
org.cryptacular » cryptacular1 vulnerability 1.1.31.2.5